﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace SlnMesnac.Repository
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("AGVState")]
    public partial class AGVState
    {
           public AGVState(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true,ColumnName="ID")]
           public int id {get;set;}

           /// <summary>
           /// Desc:AGV编号
           /// Default:
           /// Nullable:False
           /// </summary>
           [SugarColumn(ColumnName="AGVNo")]           
           public string agvno {get;set;}

           /// <summary>
           /// Desc:AGV类型 1：AMR 2: 机械臂
           /// Default:
           /// Nullable:False
           /// </summary>
           [SugarColumn(ColumnName="AGVType")]           
           public string agvtype {get;set;}

           /// <summary>
           /// Desc:任务编号
           /// Default:
           /// Nullable:False
           /// </summary>
           [SugarColumn(ColumnName="TaskNo")]           
           public string taskno {get;set;}

           /// <summary>
           /// Desc:AGV报警状态
           /// Default:
           /// Nullable:False
           /// </summary>
           [SugarColumn(ColumnName="AGVAlarmState")]           
           public string agvalarmstate {get;set;}

           /// <summary>
           /// Desc:AGV工作状态
           /// Default:
           /// Nullable:False
           /// </summary>
           [SugarColumn(ColumnName="AGVWorkState")]           
           public string agvworkstate {get;set;}

           /// <summary>
           /// Desc:刷新时间
           /// Default:
           /// Nullable:False
           /// </summary>
           [SugarColumn(ColumnName="RefreshTime")]           
           public DateTime refreshtime {get;set;}

    }
}
