﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace SlnMesnac.Repository
{
    ///<summary>
    ///物料库存消耗记录表
    ///</summary>
    [SugarTable("T_RP_InventoryConsume_Record")]
    public partial class T_RP_InventoryConsume_Record
    {
           public T_RP_InventoryConsume_Record(){


           }
           /// <summary>
           /// Desc:主键编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey = true,IsIdentity = true,ColumnName="objid")]
           public int objid {get;set;}

           /// <summary>
           /// Desc:子项物料编号
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="materialtypeid")]           
           public string materialtypeid {get;set;}

           /// <summary>
           /// Desc:批次号
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="batchno")]           
           public string batchno {get;set;}

        [SugarColumn(ColumnName = "stationid")]
        public int? stationid { get; set; }
        /// <summary>
        /// Desc:消耗数量
        /// Default:
        /// Nullable:True
        /// </summary>
        [SugarColumn(ColumnName="consumecount")]           
           public string consumecount {get;set;}

           /// <summary>
           /// Desc:产品条码
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="productbarcode")]           
           public string productbarcode {get;set;}

           /// <summary>
           /// Desc:创建人
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="create_by")]           
           public string createBy {get;set;}

           /// <summary>
           /// Desc:创建时间
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="create_time")]           
           public DateTime? createTime {get;set;}

           /// <summary>
           /// Desc:更新人
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="update_by")]           
           public string updateBy {get;set;}

           /// <summary>
           /// Desc:更新时间
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="update_time")]           
           public DateTime? updateTime {get;set;}

    }
}
