﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace SlnMesnac.Repository
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("T_RP_ProductChangeInfo")]
    public partial class T_RP_ProductChangeInfo
    {
           public T_RP_ProductChangeInfo(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true,ColumnName="id")]
           public int id {get;set;}

           /// <summary>
           /// Desc:机种型号
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="ProductId")]           
           public int? productid {get;set;}

           /// <summary>
           /// Desc:生产负责人
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="PersonInCharge")]           
           public string personincharge {get;set;}

           /// <summary>
           /// Desc:结束时间
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="EndTime")]           
           public DateTime? endtime {get;set;}

           /// <summary>
           /// Desc:
           /// Default:1
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="Operator")]           
           public int? operater {get;set;}

           /// <summary>
           /// Desc:插入时间
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="InsertTime")]           
           public DateTime? inserttime {get;set;}

           /// <summary>
           /// Desc:开始时间
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="BeginTime")]           
           public DateTime? begintime {get;set;}

           /// <summary>
           /// Desc:产线名称
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="LineName")]           
           public string linename {get;set;}

    }
}
