﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace SlnMesnac.Repository
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("T_SY_TraceState"), TenantAttribute("mes")]
    public partial class T_SY_TraceState
    {
           public T_SY_TraceState(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,ColumnName="Barcode")]
           public string barcode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="ProductID")]           
           public string productid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:DateTime.Now
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="BeginTime")]           
           public DateTime? begintime {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="EndTime", IsOnlyIgnoreUpdate = true)]           
           public DateTime? endtime {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="ShiftID", IsOnlyIgnoreUpdate = true)]           
           public string shiftid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName = "GroupID", IsOnlyIgnoreUpdate = true)]           
           public string groupid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="ShiftNo", IsOnlyIgnoreUpdate = true)]           
           public string shiftno {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="SemiBarcode_A")]           
           public string semibarcodeA {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="SemiBarcode_B")]           
           public string semibarcodeB {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="SemiBarcode_C")]           
           public string semibarcodeC {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="ProductBarcode")]           
           public string productbarcode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="SemiBarcode2")]           
           public string semibarcode2 {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName = "shellbarcode", IsOnlyIgnoreUpdate = true)]           
           public string shellbarcode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName = "NameplateInfo", IsOnlyIgnoreUpdate = true)]           
           public string nameplateinfo {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="MarkRecord", IsOnlyIgnoreUpdate = true)]           
           public string markrecord {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName = "Attr1", IsOnlyIgnoreUpdate = true)]           
           public string attr1 {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName = "Attr2", IsOnlyIgnoreUpdate = true)]           
           public string attr2 {get;set;}

           /// <summary>
           /// Desc:默认0,1拆解,2返修3报废
           /// Default:0
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName = "ISDis", InsertSql ="0", IsOnlyIgnoreUpdate = true)]           
           public string isdis {get;set;}

           /// <summary>
           /// Desc:拆解和报废和返修操作人
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="DisChecker", IsOnlyIgnoreUpdate = true)]           
           public string dischecker {get;set;}

           /// <summary>
           /// Desc:拆解或报废或返修的时间
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName = "DisTime", IsOnlyIgnoreUpdate = true)]           
           public DateTime? distime {get;set;}

           /// <summary>
           /// Desc:1合格2不合格
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="State")]           
           public string state {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="CurrentStationID")]           
           public string currentstationid {get;set;}

           /// <summary>
           /// Desc:不合格的工位
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="NGStationID")]           
           public string ngstationid {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName = "RestartStation", IsOnlyIgnoreUpdate = true)]           
           public string restartstation {get;set;}

           /// <summary>
           /// Desc:
           /// Default:0
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="FinishFlag", IsOnlyIgnoreUpdate = true)]           
           public string finishflag {get;set;}

           /// <summary>
           /// Desc:记录D9工位不合格原因
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="D9Remark", IsOnlyIgnoreUpdate = true)]           
           public string d9remark {get;set;}

    }
}
