﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Model.AirportApiEntity
{
    /// <summary>
    /// 取消/终止任务请求实体类
    /// </summary>
    public class AGVRequestOperationalTaskEntity
    {
        /// <summary>
        /// 任务ID
        /// </summary>
        public string taskid {  get; set; }

        /// <summary>
        /// 状态：0：终止 4：取消
        /// </summary>
        public int state { get; set; }

        /// <summary>
        /// 操作源
        /// </summary>
        public string operatingSource { get; set; }

        /// <summary>
        /// 操作用户
        /// </summary>
        public string operatingUser { get; set; }

        /// <summary>
        /// 操作说明
        /// </summary>
        public string remark { get; set; }
    }
}
