﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Model.AirportApiEntity
{
    /// <summary>
    /// AGV返回值 根类型 实体类
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public class AGVResponseEntity<T> where T : class
    {
        /// <summary>
        /// 代码
        /// </summary>
        public int code {  get; set; }

        /// <summary>
        /// 数据体
        /// </summary>
        public T? Data { get; set; }

        /// <summary>
        /// 信息
        /// </summary>
        public string message { get; set; }

        /// <summary>
        /// 计数
        /// </summary>
        public int? count { get; set; }
    }

}
