﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Model.AirportApiEntity
{
    /// <summary>
    /// 查询任务状态请求实体类
    /// </summary>
    public class AGVRequestTaskStateDetailEntity
    {
        /// <summary>
        /// 任务ID
        /// </summary>
        public string taskId { get; set; }
    }

    /// <summary>
    /// 任务状态响应数据
    /// </summary>
    public class ResponseTaskStateDetailDataEntity
    {
        /// <summary>
        /// 任务ID
        /// </summary>
        public string taskId { get; set; }

        /// <summary>
        /// 状态 0：已终⽌ 1：待执⾏ 2：正在执⾏ 3：已完成 4：已取消 5：已暂停 6：匹配中 7: 核验中
        /// </summary>
        public int state { get; set; }

        /// <summary>
        /// 车辆ID
        /// </summary>
        public string robotId { get; set; }

        /// <summary>
        /// 车辆名称
        /// </summary>
        public string robotName { get; set; }
    }
}
