﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Model.domain
{
    public class AGVLog
    {
        [SqlSugar.SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public int ID { get; set; }

        /// <summary>
        /// AGV编号
        /// </summary>
        public string AGVNo { get; set; }

        /// <summary>
        /// AGV类型
        /// </summary>
        public string AGVType { get; set; }

        /// <summary>
        /// 任务编号
        /// </summary>
        public string ?TaskNo { get; set; }

        /// <summary>
        /// AGV报警状态（1：正常，2：故障）
        /// </summary>
        public string AGVAlarmState { get; set; }

        /// <summary>
        /// AGV工作状态（1：空闲，2：忙碌）
        /// </summary>
        public string AGVWorkState { get; set; }

        /// <summary>
        /// 报警内容
        /// </summary>
        public string ?AlarmText { get; set; }

        /// <summary>
        /// 日志时间
        /// </summary>
        public DateTime LogTime { get; set; }
    }
}
