﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Model.domain
{
    public class ManipulatorSetting
    {
        /// <summary>
        /// 自增编号
        /// </summary>
        [SqlSugar.SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public int ID { get; set; }

        /// <summary>
        /// 机械臂编号
        /// </summary>
        public string ManipulatorNo { get; set; }

        /// <summary>
        /// 机械臂所属AGV编号
        /// </summary>
        public string RelatedAGVNo { get; set; }

    }
}
