﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Model.domain
{
    public class ManipulatorState
    {
        /// <summary>
        /// 自增编号
        /// </summary>
        [SqlSugar.SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public int ID { get; set; }

        /// <summary>
        /// 机械臂编号
        /// </summary>
        public string ManipulatorNo { get; set; }

        /// <summary>
        /// 任务编号
        /// </summary>
        public string ?TaskNo { get; set; }

        /// <summary>
        /// 机械臂报警状态（1：正常，2：故障）
        /// </summary>
        public string ManipulatorAlarmState { get; set; }

        /// <summary>
        /// 机械臂工作状态（1：空闲，2：忙碌）
        /// </summary>
        public string ManipulatorWorkState { get; set; }

        /// <summary>
        /// 刷新时间
        /// </summary>
        public DateTime RefreshTime { get; set; }
    }
}
