﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace SlnMesnac.Repository
{
    ///<summary>
    ///工位物料库存关系表
    ///</summary>
    [SugarTable("T_RP_StationMaterialInventory")]
    public partial class T_RP_StationMaterialInventory
    {
           public T_RP_StationMaterialInventory(){


           }
           /// <summary>
           /// Desc:主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true,ColumnName="objid")]
           public int objid {get;set;}

           /// <summary>
           /// Desc:工位编号
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="stationid")]           
           public int? stationid {get;set;}

           /// <summary>
           /// Desc:子项物料编号
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="material_type_id")]           
           public string materialTypeId {get;set;}

           /// <summary>
           /// Desc:批次号
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="batchno")]           
           public string batchno {get;set;}

           /// <summary>
           /// Desc:投入数量
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="inputcount")]           
           public int inputcount {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="remark")]           
           public string remark {get;set;}

           /// <summary>
           /// Desc:创建人
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="create_by")]           
           public string createBy {get;set;}

           /// <summary>
           /// Desc:创建时间
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="create_time")]           
           public DateTime? createTime {get;set;}

           /// <summary>
           /// Desc:更新人
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="update_by")]           
           public string updateBy {get;set;}

           /// <summary>
           /// Desc:更新时间
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="update_time")]           
           public DateTime? updateTime {get;set;}

    }
}
