using SlnMesnac.Model.AirportApiEntity;
using SlnMesnac.Model.domain;
using SlnMesnac.Model.Enum;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace SlnMesnac.Repository.service
{
    public interface IAGVStateService: IBaseService<AGVState>
    {
        /// <summary>
        /// ѯAGV״̬
        /// </summary>
        /// <returns></returns>
        List<AGVState> GetAgvState(AgvType AgvType);

        /// <summary>
        /// AGV豸״̬Ϣ
        /// </summary>
        /// <param name="record"></param>
        /// <returns></returns>
        Task<bool> UpdateAsync(AGVState record);

        /// <summary>
        /// ѯAGV״̬
        /// </summary>
        /// <returns></returns>
        List<AGVState> GetAllAGVState();

        /// <summary>
        /// Ӧݲ
        /// </summary>
        /// <param name="response"></param>
        /// <returns></returns>
        Task<bool> UpdateOrAddByResponse(AGVResponseEntity<List<ResponseRobotAtrributeDataEntity>> response);

    }
}